Get a card's PIN
curl --request GET \
--url https://api-dev.rain.xyz/v1/issuing/cards/{cardId}/pin \
--header 'Api-Key: <api-key>' \
--header 'SessionId: <sessionid>'import requests
url = "https://api-dev.rain.xyz/v1/issuing/cards/{cardId}/pin"
headers = {
"SessionId": "<sessionid>",
"Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {SessionId: '<sessionid>', 'Api-Key': '<api-key>'}};
fetch('https://api-dev.rain.xyz/v1/issuing/cards/{cardId}/pin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"encryptedPin": {
"iv": "<string>",
"data": "<string>"
}
}Cards
Get a card's PIN
GET
/
issuing
/
cards
/
{cardId}
/
pin
Get a card's PIN
Authorizations
Headers
Encrypted session id generated by the user requesting the encrypted data
Minimum string length:
1Path Parameters
Id of the card to get the pin for
Response
Successful operation
The encrypted pin
The encrypted pin
Show child attributes
Show child attributes